!Control file for program SMC_Pad
! Replace discarded portions of original data with zeros (Y/N)?  By doing this,
! two horizontal components with the same number of time points before
! padding (the usual case) will have the same number after padding and can
! be rotated.
 Y
!Length of leading pad in seconds (BAP suggests 1.5*nroll/fc):
 9.0
!Go to first zero crossing?
 Y
!Use first point if smaller than first zero crossing?
 Y
!Length of trailing pad in seconds (BAP suggests 1.5*nroll/fc):
 9.0
!Go to last zero crossing?
 Y
!Use last point if smaller than last zero crossing?
 Y
!        11/03/06 - If zcross_l or zcross_t = F and use_first or use_last = T, 
!                   pad with values equal to the last points.  Allow this option
!                   to deal with cases such as filtering a displacement
!                   time series with a low-frequency drift, which will have
!                   a step offset if pad with zeros at the end.  Be careful in
!                   in using this option for the first points, however (in
!                   a future version I may eliminate the option for the beginning,
!                   as generally the leading pad should be zero).  The need for
!                   this option arose when I tried to filter a displacement
!                   obtained by integrating a zeroth-order corrected acceleration.
!                   The results were different than filtering the acceleration
!                   before integration.
!                   IF WANT TO PAD WITH ZEROS, STARTING AT 
!                   BEGINNING AND END OF DATA, SET ZCROSS_L, ZCROSS_T = F AND
!                   USE_FIRST, USE_LAST = F (This is potentially confusing, and
!                   I may remove the option of padding with the first and last
!                   values in a later version of the program)
!
! Remove mean before determining segment to be padded?
! If Yes, the mean will be determined from the whole record.  If this
! is not desireable, remove the mean outside of this program
 N
! Remove mean after determining segment to be padded (the segment
! will probably be different than the segment originally used to determine the
! mean, and therefore the mean will no longer be 0.0. But then after removing
! this mean, the segment to be padded will not be at 0.0 values, but I hope this
! is a small problem.  I probably should iterate):
 Y
!Time for taper at beginning of time series, before adding zeros
  0.0
!Time for taper at end of time series, before adding zeros
  0.0
!character string to append to filename:
 .pad
!Name of SMC file (output name = stem.pad):
 319A.SMC
 319B.SMC
 319C.SMC
 334A.SMC
 334B.SMC
 334C.SMC
stop
