!Control file for program SMC_Detrend
! Revision of program involving a change in the control file on this date:
   12/20/10
!Summary file name:
 smc_detrend.sum
!
!PROCESSING PARAMETERS AND FILES, IN GROUPS
!
pp: new set of parameters
!tskip tlength  
 0.0 400.0
!mean: type (-1=specify,0=none,1=standard), t4mean_strt, t4mean_stop, 
!mean (use if type = -1):
 1  0.0 8.0  -999.
!Baseline option:
!  1 = a line fit to the first and last points is removed; note that the mean 
!      need not be removed before detrending if type = 0 above.  In addition, 
!      caution should be used in using this option for "normal" time series; it
!      is intended as a quick baseline correction for the infrequent cases in which
!      there is a large linear trend in the time series
!  2 = Fit a polynomial
 2
!order of polynomial (1:line;2:quad.;3:cubic, etc-- 11 max) 
  3  
!Array showing coefficients fixed at 0 (0) or free (1); must be norder+1 
!values:
 0 0 1 1   ! cubic, with first and second terms constrained to zero
!T1b, T1e, T2b, T2e (fit between T1b--T1e and T2b--T2e):
  0.0 0.0 56.0 200.0
!Torigin: if <= 0.0, the polynomial has the equation
!            y = c0 + c1*t + c2*t^2 + ... + cn*t^n
!         if > 0.0, the polynomial has the equation
!            y = 0.0, t < torigin
!            y = c0 + c1*(t-torigin) + ... + cn*(t-torigin)^n
!               In this case, c0 should probably be fixed as 0.0
 0.0
!Percent taper to apply to front (usually 0.0)
 0.0
!character string to append to filename to make the output filename:
! if this character string equals "<auto>", the extension will be constructed
! from the input parameters).
 <auto>
!f_smc_in ("STOP" in any column to quit)
 file1_in.smc  
 file2_in.smc 
 file3_in.smc 
StoP
 
